/*
 * GNOME Hardware Browser
 *
 * Copyright (C) 2005 Alexandre Dussart
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gnome.h>

#include "support.h"
#include "common.h"
#include "callbacks.h"
#include "fdisk.h"


gint about_callback(GtkWidget *widget,
                    GdkEvent  *event,
                    gpointer   callback_data) {
GtkWidget *about;
GdkPixbuf *pixmap;

  const gchar *authors[] = {
            "Alexandre Dussart <alexandre.dussart@tiscali.fr>",
            NULL
        };

  const gchar *documenters[] = {
            "Alexandre Dussart <alexandre.dussart@tiscali.fr>",
            NULL
        };


   pixmap = create_pixbuf("/usr/share/pixmaps/gnome-fdisk.xpm");

   about= gnome_about_new (_("GNOME FDISK"),
                        VERSION,
                        "(C)2005 Alexandre Dussart",
                        _("GNOME Fdisk partition your disk devices"),
                        authors,
                        documenters,
                        _("Thanks to our merveillous translation team!"),
                        pixmap);
  gtk_widget_show(about);
}

